package com.atlassian.bitbucket.mesh.git.builder.blame;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilderSupport;

import javax.annotation.Nonnull;

public interface GitBlameBuilder extends GitProcessBuilderSupport<GitBlameBuilder> {

    @Nonnull
    GitBlameBuilder clearRange();

    @Nonnull
    GitBlameBuilder file(String file);

    @Nonnull
    GitBlameBuilder range(int start, int end, boolean endIsOffset);

    @Nonnull
    GitBlameBuilder rev(String rev);
}
